Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

All Implemented Interfaces:
  `java.lang.Comparable`, `GroovyDoc`

Direct Known Subclasses:
  `SimpleGroovyPackageDoc`, `SimpleGroovyProgramElementDoc`, `SimpleGroovyRootDoc`

    public class SimpleGroovyDoc
    extends java.lang.Object
    implements GroovyDoc

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ANNOTATION_DEF` |
  `static int` | `CLASS_DEF` |
  `static int` | `ENUM_DEF` |
  `static int` | `INTERFACE_DEF` |
  `static int` | `TRAIT_DEF` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleGroovyDoc​(java.lang.String name)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `calculateFirstSentence​(java.lang.String raw)` |
  `java.lang.String` | `commentText()` |
  `int` | `compareTo​(java.lang.Object that)` |
  `java.lang.String` | `firstSentenceCommentText()` |
  `java.lang.String` | `getRawCommentText()` |
  `java.lang.String` | `getTypeDescription()` |
  `java.lang.String` | `getTypeSourceDescription()` |
  `boolean` | `isAnnotationType()` |
  `boolean` | `isAnnotationTypeElement()` |
  `boolean` | `isClass()` |
  `boolean` | `isConstructor()` |
  `boolean` | `isDeprecated()` |
  `boolean` | `isEnum()` |
  `boolean` | `isEnumConstant()` |
  `boolean` | `isError()` |
  `boolean` | `isException()` |
  `boolean` | `isField()` |
  `boolean` | `isIncluded()` |
  `boolean` | `isInterface()` |
  `boolean` | `isMethod()` |
  `boolean` | `isOrdinaryClass()` |
  `boolean` | `isScript()` |
  `boolean` | `isTrait()` |
  `java.lang.String` | `name()` |
  `protected void` | `setCommentText​(java.lang.String commentText)` |
  `void` | `setDeprecated​(boolean deprecated)` |
  `protected void` | `setFirstSentenceCommentText​(java.lang.String firstSentenceCommentText)` |
  `void` | `setRawCommentText​(java.lang.String rawCommentText)` |
  `void` | `setScript​(boolean script)` |
  `void` | `setTokenType​(int t)` |
  `GroovyTag[]` | `tags()` |
  `int` | `tokenType()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLASS_DEF

    public static final int CLASS_DEF
    See Also:
      Constant Field Values

  - ### TRAIT_DEF

    public static final int TRAIT_DEF
    See Also:
      Constant Field Values

  - ### INTERFACE_DEF

    public static final int INTERFACE_DEF
    See Also:
      Constant Field Values

  - ### ANNOTATION_DEF

    public static final int ANNOTATION_DEF
    See Also:
      Constant Field Values

  - ### ENUM_DEF

    public static final int ENUM_DEF
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SimpleGroovyDoc

    public SimpleGroovyDoc​(java.lang.String name)

- ## Method Details

  - ### name

    public java.lang.String name()
    Specified by:
      `name` in interface `GroovyDoc`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### setCommentText

    protected void setCommentText​(java.lang.String commentText)

  - ### setFirstSentenceCommentText

    protected void setFirstSentenceCommentText​(java.lang.String firstSentenceCommentText)

  - ### commentText

    public java.lang.String commentText()
    Specified by:
      `commentText` in interface `GroovyDoc`

  - ### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()
    Specified by:
      `firstSentenceCommentText` in interface `GroovyDoc`

  - ### getRawCommentText

    public java.lang.String getRawCommentText()
    Specified by:
      `getRawCommentText` in interface `GroovyDoc`

  - ### setRawCommentText

    public void setRawCommentText​(java.lang.String rawCommentText)
    Specified by:
      `setRawCommentText` in interface `GroovyDoc`

  - ### setScript

    public void setScript​(boolean script)

  - ### calculateFirstSentence

    public static java.lang.String calculateFirstSentence​(java.lang.String raw)

  - ### isClass

    public boolean isClass()
    Specified by:
      `isClass` in interface `GroovyDoc`

  - ### isScript

    public boolean isScript()

  - ### isTrait

    public boolean isTrait()

  - ### isInterface

    public boolean isInterface()
    Specified by:
      `isInterface` in interface `GroovyDoc`

  - ### isAnnotationType

    public boolean isAnnotationType()
    Specified by:
      `isAnnotationType` in interface `GroovyDoc`

  - ### isEnum

    public boolean isEnum()
    Specified by:
      `isEnum` in interface `GroovyDoc`

  - ### getTypeDescription

    public java.lang.String getTypeDescription()

  - ### getTypeSourceDescription

    public java.lang.String getTypeSourceDescription()

  - ### setTokenType

    public void setTokenType​(int t)

  - ### tokenType

    public int tokenType()

  - ### compareTo

    public int compareTo​(java.lang.Object that)
    Specified by:
      `compareTo` in interface `java.lang.Comparable`

  - ### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()
    Specified by:
      `isAnnotationTypeElement` in interface `GroovyDoc`

  - ### isConstructor

    public boolean isConstructor()
    Specified by:
      `isConstructor` in interface `GroovyDoc`

  - ### isEnumConstant

    public boolean isEnumConstant()
    Specified by:
      `isEnumConstant` in interface `GroovyDoc`

  - ### isDeprecated

    public boolean isDeprecated()
    Specified by:
      `isDeprecated` in interface `GroovyDoc`

  - ### isError

    public boolean isError()
    Specified by:
      `isError` in interface `GroovyDoc`

  - ### isException

    public boolean isException()
    Specified by:
      `isException` in interface `GroovyDoc`

  - ### isField

    public boolean isField()
    Specified by:
      `isField` in interface `GroovyDoc`

  - ### isIncluded

    public boolean isIncluded()
    Specified by:
      `isIncluded` in interface `GroovyDoc`

  - ### isMethod

    public boolean isMethod()
    Specified by:
      `isMethod` in interface `GroovyDoc`

  - ### isOrdinaryClass

    public boolean isOrdinaryClass()
    Specified by:
      `isOrdinaryClass` in interface `GroovyDoc`

  - ### tags

    public GroovyTag[] tags()

  - ### setDeprecated

    public void setDeprecated​(boolean deprecated)